ViennaCL - The Vienna Computing Library: examples/benchmarks/solver.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
solver.cpp File Reference
`#include <boost/numeric/ublas/matrix_sparse.hpp>`
`#include <boost/numeric/ublas/io.hpp>`
`#include <boost/numeric/ublas/operation_sparse.hpp>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/sliced_ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/context.hpp"`
`#include "viennacl/linalg/cg.hpp"`
`#include "viennacl/linalg/bicgstab.hpp"`
`#include "viennacl/linalg/gmres.hpp"`
`#include "viennacl/linalg/mixed_precision_cg.hpp"`
`#include "viennacl/linalg/ilu.hpp"`
`#include "viennacl/linalg/ichol.hpp"`
`#include "viennacl/linalg/jacobi_precond.hpp"`
`#include "viennacl/linalg/row_scaling.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/tools/timer.hpp"`
`#include <iostream>`
`#include <vector>`

Go to the source code of this file.

## Macros
#define | BOOST_UBLAS_NDEBUG
#define | VIENNACL_WITH_UBLAS 1
#define | BENCHMARK_RUNS 1

## Functions
void | printOps (double num_ops, double exec_time)
template<typename ScalarType >
ScalarType | diff_inf (ublas::vector< ScalarType > &v1, viennacl::vector< ScalarType > &v2)
template<typename ScalarType >
ScalarType | diff_2 (ublas::vector< ScalarType > &v1, viennacl::vector< ScalarType > &v2)
template<typename MatrixType , typename VectorType , typename SolverTag , typename PrecondTag >
void | run_solver (MatrixType const &matrix, VectorType const &rhs, VectorType const &ref_result, SolverTag const &solver, PrecondTag const &precond, long ops)
template<typename ScalarType >
int | run_benchmark (viennacl::context ctx)
int | main ()

## Macro Definition Documentation

#define BENCHMARK_RUNS 1

Definition at line 64 of file solver.cpp.

#define BOOST_UBLAS_NDEBUG

Definition at line 25 of file solver.cpp.

#define VIENNACL_WITH_UBLAS 1

Definition at line 33 of file solver.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff_2 | ( | ublas::vector< ScalarType > & | v1,
|  | viennacl::vector< ScalarType > & | v2
| ) |  |

Definition at line 91 of file solver.cpp.

template<typename ScalarType >

ScalarType diff_inf | ( | ublas::vector< ScalarType > & | v1,
|  | viennacl::vector< ScalarType > & | v2
| ) |  |

Definition at line 74 of file solver.cpp.

int main | ( |  | ) |

Definition at line 625 of file solver.cpp.

void printOps | ( | double | num_ops,
|  | double | exec_time
| ) |  |
| inline

Definition at line 67 of file solver.cpp.

template<typename ScalarType >

int run_benchmark | ( | viennacl::context | ctx | ) |

Definition at line 127 of file solver.cpp.

template<typename MatrixType , typename VectorType , typename SolverTag , typename PrecondTag >

void run_solver | ( | MatrixType const & | matrix,
|  | VectorType const & | rhs,
|  | VectorType const & | ref_result,
|  | SolverTag const & | solver,
|  | PrecondTag const & | precond,
|  | long | ops
| ) |  |

Examples:
  amg.cpp, and spai.cpp.

Definition at line 101 of file solver.cpp.